<?php

namespace Drupal\dr8_zth\Form;

use Drupal\Core\Entity\ContentEntityDeleteForm;

/**
 * Provides a deletion confirmation form for blog types.
 */
class BlogDeleteForm extends ContentEntityDeleteForm {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'blog_confirm_delete';
  }

  /**
   * {@inheritdoc}
   */
  public function getQuestion() {
    return $this->t('Are you sure you want to delete the %title blog?', [
      '%title' => $this->entity->label(),
    ]);
  }

  /**
   * {@inheritdoc}
   */
  public function getDescription() {
    return $this->t('Deleting a blog will delete all its revisions. This action cannot be undone.');
  }

  /**
   * {@inheritdoc}
   */
  protected function getDeletionMessage() {
    return $this->t('Deleted %title blog.', ['%title' => $this->entity->label()]);
  }

}
